FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 01-08-2009, 05:08 AM
"i"
 
Default Bug#511179: dpkg error while configure gij-4.3

Package: gij-4.3
Version: 4.3.2-2

Debian Version: Lenny

I have tried to install openoffice.org-writer with apt-get. By
default, it seems that apt-get now install too the Deps
Recommends, so while I install openoffice.org-writer it install
me a big list of dependencies (with lots of *java* things)
including gij-4.3. And there is a problem with the --configure
process. I am sorry it is in French but it look like that :

$ sudo apt-get install openoffice.org-writer
(...)
Selection du paquet libecj-java-gcj precedemment deselectionne.
Depaquetage de libecj-java-gcj (A partir de
.../libecj-java-gcj_3.3.0+0728-9_i386.deb) ...
Traitement des actions differees ( triggers ) pour
man-db ...
Parametrage de gij-4.3 (4.3.2-2) ...
/var/lib/dpkg/info/gij-4.3.postinst: line 29: 17341 Erreur de
segmentation
gcj-dbtool-4.3 -n /var/lib/gcj-4.3/classmap.db
dpkg : erreur de traitement de gij-4.3 (--configure) :
le sous-processus post-installation script a retourne une erreur
de sortie d'etat 2
dpkg : des problemes de dependances empechent la configuration
de java-gcj-compat-headless :
java-gcj-compat-headless depend de gij-4.3 (>= 4.3) ;
cependant :
Le paquet gij-4.3 n'est pas encore configure.
dpkg : erreur de traitement de java-gcj-compat-headless
(--configure) :
problemes de dependances - laisse non configure
Parametrage de zlib1g-dev (1:1.2.3.3.dfsg-12) ...
Parametrage de libecj-java (3.3.0+0728-9) ...
(...)
etc, etc...

So nothing is configured because of gij-4.3 :
# dpkg --configure gij-4.3
Parametrage de gij-4.3 (4.3.2-2) ...
/var/lib/dpkg/info/gij-4.3.postinst: line 29: 17379 Erreur de
segmentation
gcj-dbtool-4.3 -n /var/lib/gcj-4.3/classmap.db
dpkg : erreur de traitement de gij-4.3 (--configure) :
le sous-processus post-installation script a retourne une
erreur de sortie d'etat 2
Des erreurs ont ete rencontrees pendant l'execution :
gij-4.3

I wasn't able to find the classmap.db

Well I solved my problem with a little help of a friend who told
me to add the option --no-install-recommends to apt-get. So I've
removed all the packages including openoffice.org-writer,
gij-4.3, *java* stuffs and made :

# apt-get install --no-install-recommends openoffice.org-writer

This time, no depends were there, no *java* and no gij-4.3, just
openoffice.org-writer wich is running fine on my box.

The problem is solved for me, but maybe someone wants to check
where is the issue with this gij-4.3 ?

$ apt-get --version
apt 0.7.19 pour i386 compile sur Nov 25 2008 08:49:49
Modules reconnus :
*Ver: Standard .deb
*Pkg: Debian dpkg interface (Priority 30)
S.L: 'deb' Standard Debian binary tree
S.L: 'deb-src' Standard Debian source tree
Idx: Debian Source Index
Idx: Debian Package Index
Idx: Debian Translation Index
Idx: Debian dpkg status file

$ apt-cache policy gij-4.3
gij-4.3:
Installee : (aucun)
Candidat : 4.3.2-2
Table de version :
4.3.2-2 0
500 http://ftp.lip6.fr lenny/main Packages


With all respect,
CGB 'i' S.
-----------------------------------------------------------------------------------------------------------------------
Send big files for free. Simple steps. No registration.
Visit now http://www.nawelny.com



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 07:54 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org